{% load static %}
<!DOCTYPE html>
<html>
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=yes">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" href="{% static 'mentorski_sustav/main.css' %}">
        <title>  Mentorski sustav </title> 
</head>
<body>
    <header class="site-header">
      <nav class="navbar navbar-expand-md navbar-dark bg-steel fixed-top">
        <div class="container">
          <a class="navbar-brand mr-4" href="{% url 'mentorski-home' %}"> MENTORSKI SUSTAV </a>
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarToggle" aria-controls="navbarToggle" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarToggle">
            <div class="navbar-nav mr-auto">
              {% if user.is_staff %}
                <a class="nav-item nav-link" href="{% url 'mentorski-predmeti' %}"> Predmeti </a>
                <a class="nav-item nav-link" href="{% url 'mentorski-user' %}"> Studenti </a>              
              {% elif user.is_active and user.is_authenticated and user.status == "Izvanredni" %}  
                <a class="nav-item nav-link" href="{% url 'mentorski-izvanredni' %}"> Semestri </a>

              {% elif user.is_active and user.is_authenticated and user.status == "Redovni" %}  
                <a class="nav-item nav-link" href="{% url 'mentorski-redovni' %}"> Semestri </a>  
              {% else %}
        
              {% endif %}  
             </div>
            </div>
            <!-- Navbar Right Side -->
            <div class="navbar-nav">              
              {% if user.is_authenticated %}
                <p class="nav-item nav-link"> Prijavljen kao:<strong  style="color:black;">  {{ user.username  }} </strong></p>
                <a class="nav-item nav-link" href="{% url 'users-logout' %}"> <i class="small material-icons">cancel</i> Odjava </a>
              {% else %}
                <a class="nav-item nav-link" href="{% url 'users-login' %}"> Prijava </a>
                <a class="nav-item nav-link" href="{% url 'users-register' %}"> Registracija </a>
              {% endif %}
            </div>
          </div>
        </div>
      </nav>
    </header>
    <main role="main" class="container">
      <div class="row">
        <div class="col-md-8">
           {% if messages %}
            {% for message in messages %}
              <div class="alert alert-{{ message.tags }}">
                {{ message }}
              </div>
            {% endfor %}
          {% endif %}
          {% block content %}{% endblock %}
        </div>
        <div class="col-md-4">
          <div class="content-section">
            <h3> POMOĆ <i class="large material-icons">info_outline</i></h3>
            <p class='text-muted'> <i>Detalji o studentima i predmetima. </i>
              <ul class="list-group">
			{% if user.is_staff and user.is_authenticated %}
			     <li class="list-group-item list-group-item-light"><a class="article-title" href="{% url 'mentorski-predmti_create' %}">
			   Dodaj predmet </a></li>
				   <li class="list-group-item list-group-item-light"><a class="article-title" href="{% url 'mentorski-user_create' %}">
				 Dodaj studenta </a></li>

          <li class="list-group-item list-group-item-light"><a class="article-title" href="#">
          </a></li>

            <li class="list-group-item list-group-item-light"><a class="article-title" href="{% url 'mentorski-student_upis' %}">
         Upis studenta </a></li>
				   <li class="list-group-item list-group-item-light"><a class="article-title" href="{% url 'mentorski-predmeti_izborni' %}">
         Izborni predmeti </a></li>
       
         <li class="list-group-item list-group-item-light"><a class="article-title" href="#">
          </a></li>
 
            <li class="list-group-item list-group-item-light"><a class="article-title" href="{% url 'mentorski-suma_ECTS' %}">
        ECTS ukupno </a></li>
           <li class="list-group-item list-group-item-light"><a class="article-title" href="{% url 'mentorski-student_ECTS' %}">
         ECTS student </a></li>
         
         <li class="list-group-item list-group-item-light"><a class="article-title" href="{% url 'mentorski-linearna' %}">
         Linearna broj </a></li>
        
				  </ul>
				   </p>         
				   </div>  
				   </div>   
				  </div>
				</main>
        {% elif user.is_active and user.is_authenticated %}
        <li class="list-group-item list-group-item-light"><a class="article-title" href="{% url 'mentorski-predmeti_svi' %}">
         Upisani predmeti </a></li>  
           <li class="list-group-item list-group-item-light"><a class="article-title" href="{% url 'mentorski-predmeti_polozeni' %}">
         Položeni predmeti </a></li>
           <li class="list-group-item list-group-item-light"><a class="article-title" href="{% url 'mentorski-predmeti_nepolozeni' %}">
         Nepoloženi predmeti </a></li> 
          <li class="list-group-item list-group-item-light"><a class="article-title" href="{% url 'mentorski-predmet_upis' %}">
         Upis predmeta </a></li>           
    				  </ul>
    				   </p>
    				   </div>     
    				   </div>
    				  </div>
    				</main>
         {% else %}
            <li class="list-group-item list-group-item-light"><a class="article-title" >
            Trebate se registrirat kako bi vam bile omogučene dodatne opcije. </a></li>
         {% endif %}  
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
    <script>
	function goBack() {
	  window.history.back();
	}
	</script>
</body>
</html>
